% Recursive estimation of a constant from noisy measurements
T = 500;
y = 3 + randn(T,1);
th_ls = zeros(T,1);
th_rls = zeros(T,1);

for t=2:T
   th_ls(t) = (ones(1,t)*y(1:t))/(ones(1,t)*ones(t,1));
   th_rls(t) = th_rls(t-1) + (1/t)*(y(t)-th_rls(t-1)); 
end
plot(1:T,y,'b',1:T,th_rls,'r',1:T,th_ls,'m',[1 T],[3 3],'k:'), axis([0 T 0 6])